Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.util
Class Utilities

    java.lang.Object
      j3deditor.bin.util.Utilities

    public class Utilities

extends java.lang.Object

Central module that initializes and manages tools needed by various classes.

Author:
  Risto Seene

Field Summary
`static java.lang.String` | `compressedData` path of the compressed data directory inside the applications JAR file.
`static java.lang.String` | `defaultData` path of the default data directory inside the applications JAR file.
`static HierarchyManager` | `hierarchy` Object that manages hierarchy.
`static ImageLoader` | `image` an instance of `ImageLoader`.
`static java.lang.String` | `mainData` path of the main data directory inside the applications JAR file.
`static Messaging` | `out` an instance of `Messaging`.
`static java.lang.String` | `threeDData` path of the 3d data directory inside the applications JAR file.
`static Translator` | `translator` an instance of `Translator`.
`static UserData` | `userdata` an instance of `UserData`.
`static Utilities` | `util` an instance of `Utilities`.

Constructor Summary
`Utilities(StartUp start)` Creates an instance of `Utilities` and initializes all tools.

Method Summary
`void` | `extractZipResources(java.lang.String filePath, java.lang.String destPath)` Extracts zipped resources from the applications JAR file to the given directory.
`java.io.InputStream` | `getResource(java.lang.String path)` Returns the stream of the given resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mainData

    public static final java.lang.String mainData

  path of the main data directory inside the applications JAR file.

  See Also:
    Constant Field Values

### defaultData

    public static final java.lang.String defaultData

  path of the default data directory inside the applications JAR file.

  See Also:
    Constant Field Values

### compressedData

    public static final java.lang.String compressedData

  path of the compressed data directory inside the applications JAR file.

  See Also:
    Constant Field Values

### threeDData

    public static final java.lang.String threeDData

  path of the 3d data directory inside the applications JAR file.

  See Also:
    Constant Field Values

### util

    public static Utilities util

  an instance of `Utilities`.

### out

    public static Messaging out

  an instance of `Messaging`.

### image

    public static ImageLoader image

  an instance of `ImageLoader`.

### userdata

    public static UserData userdata

  an instance of `UserData`.

### translator

    public static Translator translator

  an instance of `Translator`.

### hierarchy

    public static HierarchyManager hierarchy

  Object that manages hierarchy.

Constructor Detail

### Utilities

    public Utilities(StartUp start)

  Creates an instance of `Utilities` and initializes all tools.

  Parameters:
    `start` - reference to the splash-screen component created by main entry point

Method Detail

### getResource

    public java.io.InputStream getResource(java.lang.String path)

  Returns the stream of the given resource.

  Parameters:
    `path` - path of the resource
  Returns:
    Returns the stream of the given resource

### extractZipResources

    public void extractZipResources(java.lang.String filePath,
                                    java.lang.String destPath)

  Extracts zipped resources from the applications JAR file to the given directory.

  Parameters:
    `filePath` - ZIP file inside the applications JAR file
    `destPath` - destination directory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD